summaryrefslogtreecommitdiff
path: root/plugins/rsync
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/rsync')
-rwxr-xr-xplugins/rsync14
1 files changed, 14 insertions, 0 deletions
diff --git a/plugins/rsync b/plugins/rsync
new file mode 100755
index 0000000..17a1e54
--- /dev/null
+++ b/plugins/rsync
@@ -0,0 +1,14 @@
+#!/bin/dash
+
+# rsync plugin
+#
+# ENVIRONMENT VARIABLES:
+# URL URL to download known_hosts file from
+#
+
+set -e
+
+ln -f current new || true
+rsync -vt --timeout=300 "${URL}" new
+
+# vim:set ft=sh: